WayloAIWaylo Docs
APIReferenceDeliveries

Get delivery

GET
/deliveries/{id}

One delivery, with the body that was sent.

Access: workspace_viewer · API key sessions:read

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Path Parameters

id*string

Header Parameters

Authorization*string

Your API key.

Response Body

Success

application/json
  1. response
id*string
Formatuuid
workspaceId*string
Formatuuid
destinationId*string
Formatuuid
destinationName*string
sessionId*string
Formatuuid
type*"order_note"
Value in"order_note"
status*string
Value in"pending""sending""delivered""failed"
attempts*number
lastError*string|null
nextAttemptAt*|
Formatdate-time
deliveredAt*|
Formatdate-time
createdAt*string
Formatdate-time
updatedAt*string
Formatdate-time
payload*|null
Example Request
curl -X GET 'https://api.poc.app.waylovoice.ai/deliveries/string' \  -H 'Authorization: Bearer sk_waylo_...'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",  "destinationId": "d0a0ebc7-d6b4-4f3c-a5af-5761a8148e3a",  "destinationName": "string",  "sessionId": "f6567dd8-e069-418e-8893-7d22fcf12459",  "type": "order_note",  "status": "pending",  "attempts": 0,  "lastError": "string",  "nextAttemptAt": "2019-08-24T14:15:22Z",  "deliveredAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "payload": {}}